// import QtQuick 2.4 // to target S60 5th Edition or Maemo 5
import QtQuick 2.4

Item {
    id: root
    property string packages
    property string parseLine
    property string leftover

    function ReadFullLines(stdio){

        parseLine += stdio
        var isRemainder = false
        if(parseLine[parseLine.length-1] != '\n'){
            print("leftovers: " )
            isRemainder = true
        }
        var lines = parseLine.split(/\n/)
        var linecount = lines.length
        if(isRemainder)
            linecount--
        for(var i=0 ; i < linecount ; i++) {
            var line = lines[i]

            print(line.length + " line:"+ line)
            if( line.length <= 0 )
                continue
            var fields = line.split(/\|/)
            var element = { "pkgname":fields[0], "version" : fields[1] }
            print("name:" + fields[0] + "  ver:" + fields[1])
            packageList.append(element)
        }
        parseLine = ""
        // save remainder partial line for next i/o event
        if(isRemainder) {
            print("remainder:" + lines[linecount])
            parseLine = lines[linecount]
        }
    }
}
