import QtQuick 2.4

NetpulseWindow{
    id:root
    width: 1000
    height: 406
    npw: 1000
    nph: 406
    page: "loginreg"
    anchors.fill: parent
    absx: workoutViewContainer.x+23
    absy: workoutViewContainer.y+23

    onMessageReceived: {
        if (message.op == "button") {
            if (message.id == "logincnx")
                workoutViewContainer.setDefaultView("LANDING_VIEW");
        }
        else if (message.op == "user") {
            netpulse.showPage("info")
        }
    }

    Component.onCompleted: {
        errorManager.debugMessage("Netpulse logon view " + x + ", " + y)
    }
}
