
var hash = {}

function alertShown(obj) {
    // object gets converted to a string when used as a key, which gives a way to track the object's identity
    hash[obj] = obj
}

function alertHidden(obj) {
    delete hash[obj]
}

function anyAreBlockingKeys() {
    for (var k in hash) {
        if (hash.hasOwnProperty(k)) {
            if (hash[k].blockKeys)
                return true
        }
    }
    return false
}

function anyAreShown() {
    for (var k in hash) {
        if (hash.hasOwnProperty(k)){
            if (hash[k].isTop) { // only count pop-ups that are always on top
                return true
            }
        }
    }
    return false
}
