#!/bin/sh

# first argument is 0 or 1, to unmute or mute respectively
index=$(pacmd list-sink-inputs | grep -B1 "module-loopback" | grep index | sed 's/.*index: //')
if [ -z "$index" ]; then
  echo "Failed: No sink-input for BT audio found"
  exit 1
fi
echo "Muting $index $1"
pacmd set-sink-input-mute $index $1
