#!/bin/sh

SERIAL=`/usr/local/bin/truetouch/scripts/product_serial.sh`
MODEL=`echo $SERIAL | cut -c1,2,3,4,5,6,7`
CALCONF="/etc/X11/xorg.conf.d/99-calibration.conf"

case $MODEL in
    001-387|001-934|001-935|002-657|002-031|002-844|002-845|002-897|002-898|002-899|002-900|002-901|003-389)
        # 15.6" touch screen
        echo 15.6 Touch
        sudo /usr/sbin/xCal 9
        ;;
    002-032|002-836|002-837|002-896|003-390)
        # 10.1" touch screen
        echo 10.1 Touch calibration
        sudo sh -c "/usr/bin/xinput_calibrator | tail -5 > $CALCONF"
        ;;
    003-533)
        # Gen2 15.6" touchscreen
        echo Gen2 Touchscreen calibration
        sudo sh -c "/usr/bin/xinput_calibrator | tail -5 > $CALCONF"
esac
