import QtQuick 2.4

Item {
    // A KeyedControlList fires these signals, which are then handled by the child class
    signal leftPressed()
    signal rightPressed()
    signal enterPressed()

    // attributes needed to be used in a KeyedControlList
    property bool selected: false
    // Children need to override navCursorWidth
    property int navCursorWidth: childrenRect.width
    property bool disabled: !enabled

}

