import QtQuick 2.0

Rectangle {
    id: root

    property string borderColor: "white"
    property string backgroundColor: "transparent"
    property string fillColor: "steelblue"
    property int value: 0

    color: backgroundColor

    Rectangle {
        id: bar
        anchors { left: parent.left; top: parent.top ; bottom: parent.bottom }
        radius: 5
        color: fillColor
        width: value * parent.width / 100
        height: parent.height
    }

    Rectangle {
        id: border
        width: parent.width
        height: parent.height
        color: "transparent"
        border.color: borderColor
        border.width: 5
        radius: 5
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.verticalCenter: parent.verticalCenter
    }
}

