import QtQuick 2.4

Text {
    id: root
    property string textValue: ""
    property int delay: 3000

    function setText(txt) {
        root.textValue = txt
        hideTimer.restart()
    }

    text: root.textValue

    Timer {
        id: hideTimer
        running: true
        repeat: false
        interval: root.delay
        onTriggered: {
            root.textValue = ""
        }
    }
}
