import QtQuick 2.4

Item {
    id: root
    property int segment: -1

    Component.onCompleted: {
    }

    Connections {
        target: workoutManager

        onStrideProgramUpdate: {
            var seg = parseInt(time/60)
            if (seg != root.segment) {
                root.segment = seg

                // make stride intervals adjustment
                if (seg % 2 == 0) {
                    workoutManager.strideLevel = workoutProgram.minStride
                } else {
                    workoutManager.strideLevel = workoutProgram.maxStride
                }
            }
            console.log("stride program update:", time)
        }
    }
}
