import QtQuick 2.4
import "../"
SimpleView {
    id: simpleView

    width: 1000
    height: 406

    anchors.bottom: parent.bottom
    anchors.horizontalCenter: parent.horizontalCenter

    simpleLevel: workoutManager.workloadLevel
    simpleTime: aWorkoutRunData.time
    simpleTimeRemaining: aWorkoutRunData.timeRemaining
    simpleDistance: aWorkoutRunData.distance
    simpleDistanceRemaining: aWorkoutRunData.distanceRemaining
    simpleCaloriesPerHour: aWorkoutRunData.calsPerHour
    simpleCalories: aWorkoutRunData.totalCalories
    simpleWatts: aWorkoutRunData.watts
    simpleMETs: aWorkoutRunData.mets
    paceSetterState: workoutScreen.showPaceSetter ? "PACESETTER" : "NOPACESETTER"

    visible: true
    onSimpleLevelDownClicked: {
        workoutManager.stopHRC()
        workoutManager.stopFitnessTest()
        workoutManager.decreaseWorkloadLevel();
    }
    onSimpleLevelUpClicked: {
        workoutManager.stopHRC()
        workoutManager.stopFitnessTest()
        workoutManager.increaseWorkloadLevel();
    }
}


