#!/bin/sh

# first argument is 0 or 1, to unmute or mute respectively
indexlist=$(pacmd list-sink-inputs | egrep "index|application\.name" | grep -B1 'application.name = "Chromium"' | grep index)
if [ $? -ne 0 ]; then
  echo "Failed: No HTML5 sink-inputs found"
  exit 1
fi

echo -e "$indexlist" | while read -r line
do
  index=$(echo $line | sed 's/.*index: //')
  echo "Muting $index $1"
  pacmd set-sink-input-mute $index $1
done
